summaryrefslogtreecommitdiff
path: root/gnome-base
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-04-12 19:10:04 +0300
committerBlackNoxis <steven.darklight@gmail.com>2015-04-12 19:10:04 +0300
commitaccbf06fc6adda2849f2931c5d1c5d5520077480 (patch)
tree2d1313927ee491a9d89bbfcdf18187f719270791 /gnome-base
parentcf9e1ef0b6c30c34031f2d4b5e5fe250b90a87ea (diff)
(*) major revamp of ebuilds, upgrading EAPIs
Diffstat (limited to 'gnome-base')
-rw-r--r--gnome-base/libgnome/Manifest1
-rw-r--r--gnome-base/libgnome/libgnome-2.32.0.ebuild55
-rw-r--r--gnome-base/libgnome/libgnome-2.32.1.ebuild45
3 files changed, 28 insertions, 73 deletions
diff --git a/gnome-base/libgnome/Manifest b/gnome-base/libgnome/Manifest
index e4b2b518..305a9199 100644
--- a/gnome-base/libgnome/Manifest
+++ b/gnome-base/libgnome/Manifest
@@ -1,3 +1,2 @@
DIST gentoo-gdm-theme-r3.tar.bz2 411703 SHA256 c7cbe97757ff93f0ffd42f9d9fb702278a361e830940a03901cda9943f44ba68 SHA512 47485899c698a2f6c3dee540806c0bbdedeab77a31b1f2b191f7f98d0d88a580aeb8dddf16fc33226db0519c21d185112421b5c6e233883ea4f67c844028281a WHIRLPOOL bac9f9ef3e7e88401e605c34deca6e7c31e2d4456af3781252a91f7bc33084af27ecc9e4a74022767b25db23d8f70842a39225c8544f1c02229ad7f7af670d42
-DIST libgnome-2.32.0.tar.bz2 1731179 SHA256 d65e49bf075eb2b3efebec38ceb409693154d18396365765da1a71630bc3dd02
DIST libgnome-2.32.1.tar.bz2 1776006 SHA256 b2c63916866485793b87398266dd7778548c1734923c272a94d84ee011b6f7a4 SHA512 f94e603255a93e73249e0fd9ed5604d732b44ad46f3cc3065afb46fc6162f6cf29304f49440b5c06303b8e68608b6fd16236076813febb5f1cbdcde4bfc3b3e3 WHIRLPOOL b5d04cbbbf7064fdd6ccf6e140ac89285c585a82a66687fc9ce3ec5d74f50ec52d52416fadfa34bb79946c99188aa3bf6aa0b7d597c8d3d526f6938c74f602a6
diff --git a/gnome-base/libgnome/libgnome-2.32.0.ebuild b/gnome-base/libgnome/libgnome-2.32.0.ebuild
deleted file mode 100644
index a207f4e0..00000000
--- a/gnome-base/libgnome/libgnome-2.32.0.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/gnome-base/libgnome/libgnome-2.32.0.ebuild,v 1.2 2010/10/21 21:33:15 eva Exp $
-
-EAPI="3"
-GCONF_DEBUG="yes"
-
-inherit gnome2 eutils
-
-DESCRIPTION="Essential Gnome Libraries"
-HOMEPAGE="http://www.gnome.org/"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
-IUSE="doc esd"
-
-SRC_URI="${SRC_URI}"
-
-RDEPEND=">=gnome-base/gconf-2
- >=dev-libs/glib-2.16
- >=gnome-base/gnome-vfs-2.5.3
- >=gnome-base/libbonobo-2.13
- >=dev-libs/popt-1.7
- media-libs/libcanberra
- esd? (
- >=media-sound/esound-0.2.26
- >=media-libs/audiofile-0.2.3 )"
-
-DEPEND="${RDEPEND}
- >=dev-lang/perl-5
- >=dev-util/intltool-0.40
- >=dev-util/pkgconfig-0.17
- doc? ( >=dev-util/gtk-doc-1 )"
-
-PDEPEND="gnome-base/gvfs"
-
-pkg_setup() {
- G2CONF="${G2CONF}
- --disable-schemas-install
- --enable-sound
- $(use_enable esd)"
- DOCS="AUTHORS ChangeLog NEWS README"
-}
-
-src_prepare() {
- gnome2_src_prepare
-
- # Make sure menus have icons. People don't like change
- epatch "${FILESDIR}/${PN}-2.28.0-menus-have-icons.patch"
-
- # Sabayon customization
- epatch "${FILESDIR}/${PN}-2.32-sabayon-background.patch"
-}
-
diff --git a/gnome-base/libgnome/libgnome-2.32.1.ebuild b/gnome-base/libgnome/libgnome-2.32.1.ebuild
index 7df916e0..2d6cec1c 100644
--- a/gnome-base/libgnome/libgnome-2.32.1.ebuild
+++ b/gnome-base/libgnome/libgnome-2.32.1.ebuild
@@ -1,9 +1,11 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/gnome-base/libgnome/libgnome-2.32.1.ebuild,v 1.6 2011/03/22 19:16:21 ranger Exp $
+# $Header: $
-EAPI="3"
+EAPI="4"
GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+GNOME_TARBALL_SUFFIX="bz2"
inherit gnome2 eutils
@@ -12,43 +14,52 @@ HOMEPAGE="http://library.gnome.org/devel/libgnome/stable/"
LICENSE="LGPL-2"
SLOT="0"
-KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
-IUSE="doc esd"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+IUSE="branding doc"
+
+SRC_URI="${SRC_URI}
+ branding? ( mirror://gentoo/gentoo-gdm-theme-r3.tar.bz2 )"
RDEPEND=">=gnome-base/gconf-2
- >=dev-libs/glib-2.16
+ >=dev-libs/glib-2.16:2
>=gnome-base/gnome-vfs-2.5.3
>=gnome-base/libbonobo-2.13
>=dev-libs/popt-1.7
- media-libs/libcanberra
- esd? (
- >=media-sound/esound-0.2.26
- >=media-libs/audiofile-0.2.3 )"
+ media-libs/libcanberra"
DEPEND="${RDEPEND}
>=dev-lang/perl-5
>=dev-util/intltool-0.40
- >=dev-util/pkgconfig-0.17
+ virtual/pkgconfig
doc? ( >=dev-util/gtk-doc-1 )"
PDEPEND="gnome-base/gvfs"
pkg_setup() {
G2CONF="${G2CONF}
+ --disable-static
--disable-schemas-install
--enable-canberra
- $(use_enable esd)"
+ --disable-esd"
DOCS="AUTHORS ChangeLog NEWS README"
}
src_prepare() {
gnome2_src_prepare
+ # Sabayon customization
+ epatch "${FILESDIR}/${PN}-2.32-sabayon-background.patch"
+
# Make sure menus have icons. People don't like change
epatch "${FILESDIR}/${PN}-2.28.0-menus-have-icons.patch"
- # Sabayon customization
- epatch "${FILESDIR}/${PN}-2.32-sabayon-background.patch"
+ use branding && epatch "${FILESDIR}"/${PN}-2.26.0-branding.patch
+
+ # Default to Adwaita theme over Clearlooks to proper gtk3 support
+ sed -i -e 's/Clearlooks/Adwaita/' schemas/desktop_gnome_interface.schemas.in.in || die
+
+ # Drop DEPRECATED flags
+ sed -i -e 's:-D[A-Z_]*DISABLE_DEPRECATED:$(NULL):g' libgnome/Makefile.* || die
}
src_install() {
@@ -56,9 +67,9 @@ src_install() {
if use branding; then
# Add gentoo backgrounds
- dodir /usr/share/pixmaps/backgrounds/gnome/gentoo || die "dodir failed"
+ dodir /usr/share/pixmaps/backgrounds/gnome/gentoo
insinto /usr/share/pixmaps/backgrounds/gnome/gentoo
- doins "${WORKDIR}"/gentoo-emergence/gentoo-emergence.png || die "doins 1 failed"
- doins "${WORKDIR}"/gentoo-cow/gentoo-cow-alpha.png || die "doins 2 failed"
+ doins "${WORKDIR}"/gentoo-emergence/gentoo-emergence.png
+ doins "${WORKDIR}"/gentoo-cow/gentoo-cow-alpha.png
fi
}